TRENDDocs

Holdings of a wallet

GET
/v1/wallets/{wallet}/portfolio

The launches a wallet holds, with value and profit where they can be measured. A figure that cannot be measured is null, never zero.

Path Parameters

wallet*string

A wallet address.

Response Body

OK

application/json
  1. response

A JSON object with the wallet's holdings.

curl -X GET 'https://api.dev.trend.fun/v1/wallets/8Kc8AJs3W9r8QJMBj7ufCbW5SumQXkTK5nL2EJp29Hfj/portfolio'
{  "positions": [    {      "launch": "GkCcdUVMn7v4dPPv8nTinDRrjuxN787KJVoicufHintz",      "primaryMint": "FCZtVhbpu7DN52mYYb7QGTJM3pFhA17mjL6o8Y7ymJf",      "symbol": "MEWTWOV9",      "name": "2022 #030 Mewtwo V CGC 9 Pokemon GO - s10b - Japanese",      "imageUri": "https://api.dev.trend.fun/v1/media/2103c37f19489cd855590b51ace76725.webp",      "status": "graduated",      "amount": "7527423432161",      "decimals": 6,      "priceE12": "3390048",      "progressBps": 10000,      "costBasisE12": "2340213",      "dnaUnitSol": 1    }  ],  "solLamports": "2457432002120"}